Subject: Re: git-man: apply.ignorewhitespace should be apply.ignore-whitespace

From: Jonathan Nieder <[email-masked]>
Date: Thu, 23 Jun 2011 13:03:47 -0500

Hi Philipp,

Ph. Marek wrote:

> As using apply.ignorewhitespace gives an error and git apply --help shows that
> a dash is needed, the man page of "git-config" should be fixed to use apply
> ..ignore-whitespace

Could you elaborate (for example, what error message do you get)?  I
tried putting

	[apply]
		ignorewhitespace = change

in ~/.gitconfig, then ran "git format-patch -1" to get a patch to test
with, changed some whitespace, and ran "git apply -R 0001-*" to use
the patch.  It seemed to work.

That said, I think that the git-config(1) manual should document that

	[apply]
		ignore-whitespace = change

is accepted as a backward-compatibility synonym, in the same spirit as
the documentation for add.ignoreerrors.  Thanks for reporting it.

Hope that helps,
Jonathan